using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums.SK;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("辨识岗位")]
    public class T_SK_RISK_IDENTIFY_DETAIL_RESULT_POST : MesEntityBase
    {
        /// <summary>
        /// 安全风险辨识结果明细
        /// </summary>
        [Description("安全风险辨识结果明细")]
        [DataFieldForeignKey("Nav_IdentifyDetail", "Nav_DetailPosts")]
        public Guid RISK_IDENTIFY_RESULT_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航：安全风险辨识结果明细
        /// </summary>
        [Description("导航：安全风险辨识结果明细")]
        public virtual T_SK_RISK_IDENTIFY_RESULT_DETAIL Nav_IdentifyDetail { get; set; }

        [Description("序号")]
        public int? NUM { get; set; }

        [Description("辨识层级")]
        [EnumName("SKDepartmentTypeEnum")]
        public SKDepartmentTypeEnum DEPARTMENT_TYPE { get; set; }

        [Description("部门")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }

        [Description("导航属性：部门")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }

        [Description("辨识岗位")]
        [FormFieldEdit]
        public ICollection<T_SK_RISK_IDENTIFY_DETAIL_RESULT_POST_DETAIL> Nav_ResultPostDets { get; set; }

     
    }
}
